curl --request POST \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/members/{member_id}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "I love hiking and photography",
"number": 42,
"boolean_value": true,
"date": "2026-03-03",
"start_date": "2026-03-03",
"end_date": "2026-03-10",
"month": 3,
"day": 3,
"url": "https://example.com",
"phone_number": "+14155552671",
"latitude": 37.7749,
"longitude": -122.4194,
"locations": [
{
"label": "San Francisco, CA",
"latitude": 37.7749,
"longitude": -122.4194
}
],
"segment_ids": [
123
]
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/members/{member_id}/answers"
payload = {
"text": "I love hiking and photography",
"number": 42,
"boolean_value": True,
"date": "2026-03-03",
"start_date": "2026-03-03",
"end_date": "2026-03-10",
"month": 3,
"day": 3,
"url": "https://example.com",
"phone_number": "+14155552671",
"latitude": 37.7749,
"longitude": -122.4194,
"locations": [
{
"label": "San Francisco, CA",
"latitude": 37.7749,
"longitude": -122.4194
}
],
"segment_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'I love hiking and photography',
number: 42,
boolean_value: true,
date: '2026-03-03',
start_date: '2026-03-03',
end_date: '2026-03-10',
month: 3,
day: 3,
url: 'https://example.com',
phone_number: '+14155552671',
latitude: 37.7749,
longitude: -122.4194,
locations: [{label: 'San Francisco, CA', latitude: 37.7749, longitude: -122.4194}],
segment_ids: [123]
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/members/{member_id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"created_at": "2026-09-27T20:54:55+00:00",
"updated_at": "2026-09-27T20:54:55+00:00",
"user_id": 12345,
"custom_field_id": 67890,
"last_edited_at": "2025-01-15T10:30:00Z",
"text": "I love hiking and photography",
"number": 42,
"boolean_value": true,
"date": "2026-03-03",
"latitude": 37.7749,
"longitude": -122.4194,
"start_date": "2026-03-03",
"end_date": "2026-03-10",
"month": 3,
"day": 3,
"url": "https://example.com",
"phone_number": "+14155552671",
"segments": [
{
"id": "1234",
"created_at": "2026-09-27T20:54:55+00:00",
"updated_at": "2026-09-27T20:54:55+00:00",
"title": "Gold Member",
"custom_field_id": 123,
"description": "Premium tier members",
"color": "#FFD700"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create or update a member's response to a custom field
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the custom field
ID of the member
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
Submit results as JSON
Request to create or update a custom field answer
The text response for text-based custom fields
"I love hiking and photography"
The whole-number response for number custom fields
42
The Yes/No response for Yes/No custom fields
true
The date response for date custom fields, as YYYY-MM-DD
"2026-03-03"
The start of the range for date range custom fields, as YYYY-MM-DD. Sent together with end_date
"2026-03-03"
The end of the range for date range custom fields, as YYYY-MM-DD. Sent together with start_date
"2026-03-10"
The month response for recurring date custom fields
3
The day response for recurring date custom fields
3
The web address response for URL custom fields
"https://example.com"
The phone number response for phone number custom fields, in E.164 form
"+14155552671"
Latitude of the place, for location custom fields. Sent together with text and longitude
37.7749
Longitude of the place, for location custom fields. Sent together with text and latitude
-122.4194
Every place picked, for multi location custom fields. Replaces the stored places; an empty array clears them
Show child attributes
Show child attributes
Array of segment IDs for dropdown custom fields
Response
The stored answer: an answer object for a type keeping one row per member, or the member's whole answer for a type keeping one row per value (multi_location)
- Option 1
- Option 2
A user's response to a custom field question
The record's integer ID
"1234"
The date and time the record was created
"2026-09-27T20:54:55+00:00"
The date and time the record was last modified
"2026-09-27T20:54:55+00:00"
ID of the user who provided this response
12345
ID of the custom field this response is for
67890
When this response was last edited
"2025-01-15T10:30:00Z"
The text response (for text-based custom fields)
"I love hiking and photography"
The whole-number response (for number custom fields)
42
The Yes/No response (for Yes/No custom fields)
true
The date response (for date custom fields)
"2026-03-03"
Latitude of the place (for location custom fields)
37.7749
Longitude of the place (for location custom fields)
-122.4194
The start of the range (for date range custom fields)
"2026-03-03"
The end of the range (for date range custom fields)
"2026-03-10"
The month response (for recurring date custom fields)
3
The day response (for recurring date custom fields)
3
The web address response (for URL custom fields)
"https://example.com"
The phone number response in E.164 form (for phone number custom fields)
"+14155552671"
Array of segments (for dropdown custom fields)
Show child attributes
Show child attributes